package ${basePackage}.module.system.ent;

import ${basePackage}.frame.base.BaseEntity;

/**
 * USER_ROLE - 用户角色授权
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserRole extends BaseEntity {

    /**
     * USER_ID - 用户主键
     */
    private Long userId;
    /**
     * USER_CODE - 用户代码
     */
    private String userCode;
    /**
     * ROLE_ID - 角色主键
     */
    private Long roleId;
    /**
     * ROLE_CODE - 角色代码
     */
    private String roleCode;

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserCode() {
        return this.userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Long getRoleId() {
        return this.roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleCode() {
        return this.roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }
}